Subject: [manet] Document Action: 'Link Metrics for the Mobile Ad Hoc Network (MANET) Routing Protocol OLSRv2 - Rationale' to Informational RFC (draft-ietf-manet-olsrv2-metrics-rationale-04.txt)

From: The IESG <[email-masked]>
Date: Wed, 01 May 2013 11:53:03 -0700

The IESG has approved the following document:
- 'Link Metrics for the Mobile Ad Hoc Network (MANET) Routing Protocol
   OLSRv2 - Rationale'
  (draft-ietf-manet-olsrv2-metrics-rationale-04.txt) as Informational RFC

This document is the product of the Mobile Ad-hoc Networks Working Group.

The IESG contact persons are Adrian Farrel and Stewart Bryant.

A URL of this Internet Draft is:
http://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2-metrics-rationale/

Technical Summary

  OLSRv2 includes the ablity to assign metrics to links and to use 
  those metrics to allow routing by other than minimum hop count 
  routes.  This document provides a historic record of the rationale
  for and design considerations behind how link metrics were included
  in OLSRv2.

Working Group Summary 

o OLSRv2 was first submitted as an individual draft in July 2005 
   (draft-clausen-manet-olsrv2-00), and accepted as a Working Group 
   document in August 2005. 

o OLSRv2 is in the process of approval as a Proposed Standard.
  
o A key difference between RFC3626 and OLSRv2 is the introduction 
   of support for link metrics. An individual draft (draft-dearlove-olsrv2-
   metrics-00) was submitted in 2007, discussing the design options, 
   culminating in 2010 with draft-dearlove-olsrv2-metrics-05 
   documenting Working Group consensus on this matter. Metrics 
   support was, then, folded into OLSRv2. 

o This document retains and documents the design rationale, and
   important decisions for how metrics were integrated into OLSRv2. 

Thus, this document reflects WG consensus built up during the evolution
of OLSRv2, and records the consensus view that lies behind OLSRv2.

Document Quality 

  There is a number of independent implementations of OLSRv2, as was 
  indicated in the write-up for that I-D.

  This document does not propose a protocol, or mandate protocol behavior, 
 but rather presents part of the design rationale for OLSRv2. 

Personnel 

  Stan Ratliff ([email-masked]) is the Document Shepherd.
  Adrian Farrel ([email-masked]) is the Responsible Area Director
 
RFC Editor Note

Section 1 paras 4 and 5
Please move the explanation of TC from para 5 to para4

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 1 May 2013 12:01:14 -0700

Very good job!

Thank you
Ulrich